QXmppArchiveListIq Class Reference
Stanzas

Represents an archive list as defined by XEP-0136: Message Archiving. More...

`#include <QXmppArchiveIq.h>`

Inheritance diagram for QXmppArchiveListIq:
[legend]
Collaboration diagram for QXmppArchiveListIq:
[legend]

## Public Member Functions

| QXmppArchiveListIq ()
| Constructs a QXmppArchiveListIq.
QList< QXmppArchiveChat > | chats () const
| Returns the list of chat conversations.
void | setChats (const QList< QXmppArchiveChat > &chats)
| Sets the list of chat conversations.
QString | with () const
void | setWith (const QString &with)
QDateTime | start () const
void | setStart (const QDateTime &start)
QDateTime | end () const
void | setEnd (const QDateTime &end)
QXmppResultSetQuery | resultSetQuery () const
void | setResultSetQuery (const QXmppResultSetQuery &rsm)
QXmppResultSetReply | resultSetReply () const
void | setResultSetReply (const QXmppResultSetReply &rsm)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Additional Inherited Members

Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Detailed Description

Represents an archive list as defined by XEP-0136: Message Archiving.

## Member Function Documentation

## end()

QDateTime QXmppArchiveListIq::end | ( |  | ) | const

Returns the end date/time for the archived conversations.

## resultSetQuery()

QXmppResultSetQuery QXmppArchiveListIq::resultSetQuery | ( |  | ) | const

Returns the result set management query.

This is used for paging through conversations.

## resultSetReply()

QXmppResultSetReply QXmppArchiveListIq::resultSetReply | ( |  | ) | const

Returns the result set management reply.

This is used for paging through conversations.

## setEnd()

void QXmppArchiveListIq::setEnd | ( | const QDateTime & | end | ) |

Sets the end date/time for the archived conversations.

Parameters

  end |

## setResultSetQuery()

void QXmppArchiveListIq::setResultSetQuery | ( | const QXmppResultSetQuery & | rsm | ) |

Sets the result set management query.

This is used for paging through conversations.

## setResultSetReply()

void QXmppArchiveListIq::setResultSetReply | ( | const QXmppResultSetReply & | rsm | ) |

Sets the result set management reply.

This is used for paging through conversations.

## setStart()

void QXmppArchiveListIq::setStart | ( | const QDateTime & | start | ) |

Sets the start date/time for the archived conversations.

Parameters

  start |

## setWith()

void QXmppArchiveListIq::setWith | ( | const QString & | with | ) |

Sets the JID which archived conversations must match.

Parameters

  with |

## start()

QDateTime QXmppArchiveListIq::start | ( |  | ) | const

Returns the start date/time for the archived conversations.

## with()

QString QXmppArchiveListIq::with | ( |  | ) | const

Returns the JID which archived conversations must match.

The documentation for this class was generated from the following files:

- QXmppArchiveIq.h
- QXmppArchiveIq.cpp